package com.javaseleniumtemplate.flows;
import com.javaseleniumtemplate.pages.RetiradaDeEstoquePage;

public class RetiradaDeEstoqueFlows {

    RetiradaDeEstoquePage retiradaDeEstoquePage;

    public RetiradaDeEstoqueFlows(){
        retiradaDeEstoquePage = new RetiradaDeEstoquePage();
    }

    public void aplicarFiltro(String descUnidade,String descAlmoxarifado){
        retiradaDeEstoquePage.limparFiltro();
        retiradaDeEstoquePage.selecionarUnidade();
        retiradaDeEstoquePage.campoBusca();
        retiradaDeEstoquePage.buscarUnidade(descUnidade);
        retiradaDeEstoquePage.selecionarUnidadeAjusteInventario();
        retiradaDeEstoquePage.clicarCampoAlmoxarifado();
        retiradaDeEstoquePage.campoBusca();
        retiradaDeEstoquePage.selecionarAlmoxarifado(descAlmoxarifado);
        retiradaDeEstoquePage.clicarAlmoxarifadoEscolhido();
        retiradaDeEstoquePage.limparSomenteCampo();
        retiradaDeEstoquePage.clicarCampoData();
        retiradaDeEstoquePage.selecionarDataInicialFinal();
        retiradaDeEstoquePage.clicarBotaoOK();
        retiradaDeEstoquePage.AplicarFiltro();

    }

    public void AdicionarRetiradaEstoque(String cmpDesc,String descProduto,String quantidade,String descAlmoxarifado,String DescCampoLote,String valorUnitario, String campoSetor, String campoRetirada){
        retiradaDeEstoquePage.clicarAdicionar();
        retiradaDeEstoquePage.clicarLimparCampoDataLancamento();
        retiradaDeEstoquePage.clicarCampoDataLacamento();
        retiradaDeEstoquePage.escolherDataLancamento();
        retiradaDeEstoquePage.clicarCampoSetor();
        retiradaDeEstoquePage.buscarSetor(campoSetor);
        retiradaDeEstoquePage.selecionarSetor();
        retiradaDeEstoquePage.escolherTipoRetirada();
        retiradaDeEstoquePage.campoBusca();
        retiradaDeEstoquePage.clicarProdutoRetirada(campoRetirada);
        retiradaDeEstoquePage.campoDescricao();
        retiradaDeEstoquePage.inserirDescricao(cmpDesc);
        retiradaDeEstoquePage.clicarAdicionarProduto();
        retiradaDeEstoquePage.clicarCampoProduto();
        retiradaDeEstoquePage.inserirCampoProduto(descProduto);
        retiradaDeEstoquePage.selecionarProduto();
        retiradaDeEstoquePage.limparCampoAlmoxarifado();
        retiradaDeEstoquePage.clicarCampoAlmoxarifado();
        retiradaDeEstoquePage.campoBusca();
        retiradaDeEstoquePage.selecionarAlmoxarifado(descAlmoxarifado);
        retiradaDeEstoquePage.clicarAlmoxarifadoEscolhido();
        retiradaDeEstoquePage.clicarTipoLote();
        retiradaDeEstoquePage.selecionarTipoLoteExistente();
        retiradaDeEstoquePage.clicarLupaLote();
        retiradaDeEstoquePage.campoBusca();
        retiradaDeEstoquePage.buscarLote(DescCampoLote);
        retiradaDeEstoquePage.selecionarLoteExistente();
        retiradaDeEstoquePage.clicarConfirmar();
        retiradaDeEstoquePage.clicarCampoQuantidade(quantidade);
       retiradaDeEstoquePage.informarValorDevolvido(valorUnitario);
        retiradaDeEstoquePage.adiconarItem();
        retiradaDeEstoquePage.clicarSalvar();
        retiradaDeEstoquePage.bancoCaptura();
    }
    public void EditarRetiradaEstoque(String campoEditado) {

        retiradaDeEstoquePage.editarLancamentoRetirada();
        retiradaDeEstoquePage.clicarBotaoEditar();
        retiradaDeEstoquePage.campoDescricao();
        retiradaDeEstoquePage.campoDescricaoEdicao(campoEditado);
        retiradaDeEstoquePage.clicarSalvar();
        retiradaDeEstoquePage.clicarBotaoVoltar();


    }

    public void ExcluirRetiradaEstoque(){
        retiradaDeEstoquePage.selecionarItemParaSerDeletado();
        retiradaDeEstoquePage.clicarBotaoExcluir();
        retiradaDeEstoquePage.confirmarItemExcluido();
    }
}